name: Feature request
description: Request a missing feature
title: '[Feature] '
labels: ['feature']
body:
  - type: markdown
    id: intro-md
    attributes:
      value: |
        Thanks for taking the time to fill out this feature request! Please ensure you provide as much information as possible so we can better understand what you’re proposing so we can come up with the best solution for everyone.
  - type: checkboxes
    id: existing-issue
    attributes:
      label: 'Verified feature request does not already exist?'
      description: 'Please search to see if an issue or PR already exists for the feature you’re requesting.'
      options:
        - label: 'I have searched and found no existing issue'
          required: true
    validations:
      required: true
  - type: checkboxes
    attributes:
      label: '💻'
      description: (Optional) Please check this box if you’re willing to open a PR to implement this feature. We’ll help you get started and answer any questions you have along the way :)
      options:
        - label: Would you like to implement this feature?
  - type: textarea
    id: pitch
    attributes:
      label: 'Pitch: what problem are you trying to solve?'
      description: Please describe, in as much detail as you can, the problem that motivated you to submit this feature request.
    validations:
      required: true
  - type: textarea
    id: solution
    attributes:
      label: Describe your ideal solution to this problem
      description: Feel free to give multiple different ideas for how the problem could be solved — we’d love to have a discussion to find the best way to solve your problem and related problems others may face! (Or leave this blank if you don’t have a solution in mind yet.)
    validations:
      required: false
  - type: textarea
    id: learning
    attributes:
      label: Teaching and learning
      description: How can we make sure future users find and enjoy this feature? (i.e. how do we make it discoverable? what kind of documentation should we write? are there aspects of the feature that could trip up users?)
    validations:
      required: false
